<?php
namespace Mytest\Mytest\Domain\Model;

/***
 *
 * This file is part of the "Mytest" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2018
 *
 ***/

/**
 * Parent top element
 */
class ParentTop extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * Title of parent
     *
     * @var string
     */
    protected $title = '';

    /**
     * Children
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Mytest\Mytest\Domain\Model\Child>
     * @cascade remove
     */
    protected $childs = null;

    /**
     * __construct
     */
    public function __construct()
    {
        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }

    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     *
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->childs = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }

    /**
     * Returns the title
     *
     * @return string $title
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Sets the title
     *
     * @param string $title
     * @return void
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * Adds a Child
     *
     * @param \Mytest\Mytest\Domain\Model\Child $child
     * @return void
     */
    public function addChild(\Mytest\Mytest\Domain\Model\Child $child)
    {
        $this->childs->attach($child);
    }

    /**
     * Removes a Child
     *
     * @param \Mytest\Mytest\Domain\Model\Child $childToRemove The Child to be removed
     * @return void
     */
    public function removeChild(\Mytest\Mytest\Domain\Model\Child $childToRemove)
    {
        $this->childs->detach($childToRemove);
    }

    /**
     * Returns the childs
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Mytest\Mytest\Domain\Model\Child> $childs
     */
    public function getChilds()
    {
        return $this->childs;
    }

    /**
     * Sets the childs
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Mytest\Mytest\Domain\Model\Child> $childs
     * @return void
     */
    public function setChilds(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $childs)
    {
        $this->childs = $childs;
    }
}
